hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Colin Patrick McCabe (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (HADOOP-2318) All C++ builds should use the autoconf tools
Date Tue, 25 Sep 2012 00:10:08 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-2318?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Colin Patrick McCabe resolved HADOOP-2318.
------------------------------------------

    Resolution: Fixed

As Brian Bockelman pointed out more than a year ago, this is way out of date.  We now use
Maven and CMake in trunk.

Even in branch-1, the complaints listed here are way out of date.  libhdfs compiles with autotools
in branch-1, and the 64-bit compile does work for libhdfs in branch-1.

Please reopen this with a different description (and possibly target-version) if there's still
something to address.
                
> All C++ builds should use the autoconf tools
> --------------------------------------------
>
>                 Key: HADOOP-2318
>                 URL: https://issues.apache.org/jira/browse/HADOOP-2318
>             Project: Hadoop Common
>          Issue Type: Improvement
>          Components: build
>            Reporter: Nigel Daley
>            Assignee: Giridharan Kesavan
>            Priority: Minor
>         Attachments: hadoop-2318.patch
>
>
> Currently we have -Dcompile.native and -Dcompile.c++ build flags.  In addition, builds
for pipes and libhadoop use autoconf tools, but libhdfs does not, nor does 64bit libhdfs compile
work.
> All these builds should use autoconf tools, support 64bit compilation, and should occur
when a single flag is present (-Dcompile.c++ seems like the better choice).

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message